function f=chi2(x,ptot,k)
%function f=chi2(x,ptot,k) evaluates the chi-square pdf for the matrix X, with
%      parameters PTOT (total power) and K (dominant power/scattered power).

scat=ptot/(k+1); %scatterer power
y=x/scat;
f=exp(-(k+y))/scat.*besseli(0,2*sqrt(k*y));
