function f=rice(x,ptot,k)
%function f=rice(x,ptot,k) evaluates the chi-square pdf for the matrix X, with
%      parameters PTOT (total power) and K (dominant power/scattered power).

scat=ptot/(k+1); %scatterer power
f=exp(-(k+x.^2/(2*scat))).*x/scat.*besseli(0,x*sqrt(2*k/scat));
